#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    int i, j, x=0, k, min=100;
    char T[100], S[15], s[15], c;
    scanf("%s", T);
    scanf("%s", S);
    for(i=0,k=0;i<strlen(S);i++){
        x = 0;
        for(j=0;j<i;j++){
            if(S[i] == S[j]){
                x = 1;
                break;
            }
            
        } 
        if(x == 0){
            s[k] = S[i];
            k++;
        }
    }
    int bs[strlen(s)];
    for(i=0;i<strlen(s);i++){
       bs[i] = 0;
    }
    for(i=0;i<strlen(S);i++){
        for(j=0;j<strlen(T);j++){
            if(s[i] == T[j]){
                bs[i]++;
            }
        }
    }
    for(i=0;i<strlen(s);i++){
       if(bs[i]<min){
           min = bs[i];
       }
    }
    for(i=0;i<strlen(s);i++){
       if(bs[i] == min){
           c = s[i];
           break;
       }
    }
    for(i=0;i<strlen(T);i++){
       if(T[i] == c){
           T[i] = '*';
       }
    }
    printf("%s", T);
    return 0;
}